@echo off
@
@rem This will start a GUI Swing application
@rem demonstrating the functionality of the Coherence(tm) API
@
setlocal

:start
set coherence_home=%~dp0\..
if not exist "%coherence_home%\lib\demo.jar" goto instructions

if "%java_home%"=="" (set java_exec=java) else (set java_exec=%java_home%\bin\java)

:launch

@echo on
%java_exec% -showversion -jar %coherence_home%\lib\demo.jar %1
@echo off

goto exit

:instructions

echo Usage:
echo   ^<coherence_home^>\bin\guidemo.cmd
goto exit

:exit
endlocal
@echo on